--- title: "Get project list" slug: "maiu-list-projects" updated: 2026-09-17T10:12:43Z published: 2026-09-17T10:12:43Z canonical: "api.ncloud-docs.com/maiu-list-projects" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get project list Available in VPC Get the list of projects in a workspace. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workspaces/{workspace_name}/projects | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | ### Request example The request example is as follows: ``` curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | API return information | | `result.projects` | Array | - | Project list: [projects](/docs/en/maiu-list-projects#projects) | | `totalCount` | Integer | - | Total project count | #### `projects` The following describes `projects`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | Integer | - | Project ID | | `name` | String | - | Project name | | `isBaseProject` | Boolean | - | Default project or not - `true` \| `false` | | `createdUserName` | String | - | User name that created the project | | `createdTime` | String | - | Project creation date and time - ISO 8601 format | | `updatedUserName` | String | - | User name who last edited the project | | `updatedTime` | String | - | Last project modification date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "projects": [ { "projectId": 1001, "name": "project_one", "isBaseProject": true, "createdUserName": "user1", "createdTime": "2025-04-23T13:56:56", "updatedUserName": "user1", "updatedTime": "2025-04-23T13:56:56" }, { "projectId": 1002, "name": "project_two", "isBaseProject": false, "createdUserName": "user2", "createdTime": "2025-04-23T14:34:56", "updatedUserName": "user2", "updatedTime": "2025-04-23T14:34:56" }, { "projectId": 1003, "name": "project_three", "isBaseProject": false, "createdUserName": "user3", "createdTime": "2025-04-23T14:12:48", "updatedUserName": "user3", "updatedTime": "2025-04-23T14:12:48" } ], "totalCount": 3 } } ```